version: '3'
services:
  app:
    build:
      context: .
      dockerfile: .docker/php/Dockerfile
    container_name: app
    depends_on:
      - mysql
      - nginx
    restart: always
    ports:
      - 9000:9000
    volumes:
      - .:/var/www/html
  mysql:
    image: mysql:8.0
    container_name: mysql
    command: --default-authentication-plugin=mysql_native_password
    restart: always
    ports:
      - 13306:3306
    volumes:
      - dbdata:/var/lib/mysql
    environment:
      - MYSQL_DATABASE=sapphire
      - MYSQL_ROOT_PASSWORD=password
      - MYSQL_USER=sapphire
      - MYSQL_PASSWORD=password
  nginx:
    build:
      context: .
      dockerfile: .docker/nginx/Dockerfile
    container_name: nginx
    depends_on:
      - mysql
    restart: always
    ports:
      - 8080:80
    volumes:
      - ./public:/var/www/html/public
volumes:
  dbdata:
